package com.qhtx.eta.controller;

import com.alibaba.fastjson.JSON;
import com.qhtx.eta.controller.request.ETAIndexPushRequest;
import com.qhtx.eta.domain.entity.DWIndexDTO;
import com.qhtx.eta.domain.facade.ETAFacadeService;
import com.qhtx.eta.domain.service.DWIndexFrameService;
import com.qhtx.eta.infra.entity.dw.DWIndex;
import com.qhtx.eta.vo.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/htApi/v1/index")
public class ETAController {

    @Resource
    private ETAFacadeService etaFacadeService;


    @PostMapping("/push")
    public Result<String> getIndex(@RequestBody ETAIndexPushRequest etaIndexPushRequest) {
        etaFacadeService.pushIndex(etaIndexPushRequest.getIndexCode(), true);
        return Result.success("同步成功");
    }

    @GetMapping("/getIndexInfo")
    public Result<DWIndexDTO> getIndexInfo(@RequestBody ETAIndexPushRequest etaIndexPushRequest) {
        DWIndexDTO dto = etaFacadeService.getIndexInfo(etaIndexPushRequest.getIndexCode());
        return Result.success(dto);
    }
}
