package com.qhtx.eta.domain.enums;

import com.qhtx.eta.domain.api.http.response.eta.*;
import com.qhtx.eta.domain.api.proxy.ApiParameterProxy;
import com.qhtx.eta.domain.api.proxy.impl.ETADataParameterProxy;
import com.qhtx.eta.common.eunms.HttpMethod;
import com.qhtx.eta.domain.api.proxy.impl.ETAPushParameterProxy;
import lombok.Getter;

@Getter
public enum ETAInterfaceEnum {


    // 获取用户信息
    // GET_EDB_SOURCE_LIST("getEdbSourceList", "/v1/edb/source/list", HttpMethod.GET, "指标来源列表", null, false), // 指标来源列表
    //  GET_EDB_CLASSIFY_TREE("getEdbClassifyTree", "/v1/edb/classify/tree", HttpMethod.GET, "指标分类树", null, false), // 获取用户信息
    // GET_EDB_CLASSIFY_LIST("getEdbClassifyList", "/v1/edb/classify/list", HttpMethod.GET, "指标分类列表", null, false), // 获取用户信息
    GET_EDB_LIST("getEdbList", "/v1/edb/list", HttpMethod.GET, "指标列表", null, true, QuotaInfoResponse.class), // 获取用户信息
    // GET_EDB_DETAIL("getEdbDetail", "/v1/edb/detail", HttpMethod.GET, "指标详情", EdbDetailProxy.class, false),
    GET_EDB_DATA("getEdbData", "/v1/edb/data", HttpMethod.GET, "指标数据", ETADataParameterProxy.class, true, QuotaDataResponse.class),
    GET_CLASSIFY_LIST("getClassifyList", "/v1/edb/classify/list", HttpMethod.GET, "指标分类列表", null, true, ClassifyDataResponse.class),
    PUSH_ETA_INDEX("pushEtaIndex", "/v1/edb/push", HttpMethod.POST, "外部数据写入ETA数据源(自由数据)", ETAPushParameterProxy.class, true, ETAPushDataResponse.class),

    ;

    /**
     * 接口名称
     */
    private String name;
    /**
     * 接口地址
     */
    private String api;
    /**
     *
     */
    private HttpMethod method;
    /**
     * 接口描述
     */
    private String desc;

    /**
     * 代理类
     */
    private Class<? extends ApiParameterProxy> proxy;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 应答结果
     */
    private Class<? extends ETAHttpResponse> response;

    ETAInterfaceEnum(String name, String api, HttpMethod method, String desc, Class<? extends ApiParameterProxy> proxy, Boolean enable, Class<? extends ETAHttpResponse> response) {
        this.name = name;
        this.api = api;
        this.method = method;
        this.desc = desc;
        this.proxy = proxy;
        this.enable = enable;
        this.response = response;
    }


}
