package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.ods.EtaApiQuotaData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (EtaApiQuotaData)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-29 13:52:06
 */
public interface EtaApiQuotaDataDao {


    /**
     * 统计总行数
     *
     * @param etaApiQuotaData 查询条件
     * @return 总行数
     */
    long count(EtaApiQuotaData etaApiQuotaData);

    /**
     * 新增数据
     *
     * @param etaApiQuotaData 实例对象
     * @return 影响行数
     */
    int insert(EtaApiQuotaData etaApiQuotaData);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<EtaApiQuotaData> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<EtaApiQuotaData> entities);

    /**
     * 批量获取每条指标数据的最新一条记录
     * @return EtaApiQuotaData 实例对象列表
     */
    List<EtaApiQuotaData> getAllLatestDataByUniqueCode();
    /**
     * 获取指标数据的最新一条记录
     *
     * @param uniqueCode
     * @return EtaApiQuotaData 实例对象
     */
    EtaApiQuotaData getLatestDataByUniqueCode(String uniqueCode);

}

