package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.ods.EtaApiQuotaInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (EtaApiQuotaInfo)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-29 13:52:36
 */
public interface EtaApiQuotaInfoDao {

    /**
     * 通过ID查询单条数据
     *
     * @param quoteId 主键
     * @return 实例对象
     */
    EtaApiQuotaInfo queryById(Integer quoteId);

    /**
     * 统计总行数
     *
     * @return 总行数
     */
    long count();

    /**
     * 新增数据
     *
     * @param etaApiQuotaInfo 实例对象
     * @return 影响行数
     */
    int insert(EtaApiQuotaInfo etaApiQuotaInfo);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<EtaApiQuotaInfo> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<EtaApiQuotaInfo> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<EtaApiQuotaInfo> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<EtaApiQuotaInfo> entities);

    /**
     * 修改数据
     *
     * @param etaApiQuotaInfo 实例对象
     * @return 影响行数
     */
    int update(EtaApiQuotaInfo etaApiQuotaInfo);

    /**
     * 通过主键删除数据
     *
     * @param quoteId 主键
     * @return 影响行数
     */
    int deleteById(Integer quoteId);


    List<EtaApiQuotaInfo> queryQuotaList(EtaApiQuotaInfo etaApiQuotaInfo);

    List<EtaApiQuotaInfo> queryQuotaListPage(@Param("offset") int offset, @Param("limit") int limit);

    List<EtaApiQuotaInfo> getAllQuotaList();
}

