package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.DWIndex;
import com.qhtx.eta.infra.entity.dw.DWIndexFrame;
import com.qhtx.eta.infra.mapper.DWIndexDao;
import com.qhtx.eta.infra.mapper.DWIndexFrameDao;
import com.qhtx.eta.infra.service.IndexFrameService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service("indexFrameService")
@UseDataSource(dataSourceType = DataSourceType.DW)
@Slf4j
public class IndexFrameServiceImpl implements IndexFrameService {
    @Resource
    private DWIndexFrameDao dwIndexFrameDao;

    @Resource
    private DWIndexDao dwIndexDao;

    @Override
    public String getMaxTableCode() {
        return dwIndexFrameDao.getMaxTableCode();
    }

    @Override
    public DWIndexFrame getByCnName(String cnName) {
        return dwIndexFrameDao.getByCnName(cnName);
    }


    @Override
    public void insertOrUpdate(DWIndexFrame dwIndexFrame) {
        dwIndexFrameDao.insertOrUpdate(dwIndexFrame);
    }

    @Override
    public DWIndex getIndexByIndexCode(String indexCode) {
        return dwIndexDao.getByIndexCode(indexCode);
    }
}
