package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.common.exception.ETAException;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.mapper.DimIncDao;
import com.qhtx.eta.infra.service.OdsDimService;
import lombok.extern.slf4j.Slf4j;
import org.jetbrains.annotations.NotNull;
import org.springframework.stereotype.Service;
import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallbackWithoutResult;
import org.springframework.transaction.support.TransactionTemplate;

import javax.annotation.Resource;

@Service("odsDimService")
@UseDataSource(dataSourceType = DataSourceType.DW)
@Slf4j
public class OdsDimServiceImpl implements OdsDimService {
    @Resource
    private DimIncDao dimIncDao;
    @Resource
    private TransactionTemplate transactionTemplate;

    @Override
    public void odsDimDataUpdate(String tableName, Long minOperationTime, Integer sourceType) {
        try {
            transactionTemplate.execute(new TransactionCallbackWithoutResult() {
                @Override
                protected void doInTransactionWithoutResult(@NotNull TransactionStatus transactionStatus) {
                    dimIncDao.insertOrUpdate(tableName, minOperationTime, sourceType);
                    log.info("通知对接码数据更新");
                }
            });
        } catch (ETAException e) {
            log.error("数据库操作失败[{}]", e.getErrorMessage());
        } catch (Exception e) {
            log.error("数据库操作失败[{}]", e.getMessage());
        }

    }
}
