package com.qhtx.eta.config;

import com.alibaba.druid.util.StringUtils;
import com.qhtx.eta.common.config.OkHttpClientProperties;
import com.qhtx.eta.common.interceptor.RetryInterceptor;
import com.qhtx.eta.common.utils.HttpClient;
import okhttp3.OkHttpClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

@Configuration
public class HttpClientConfig {

    @Resource
    private OkHttpClientProperties okHttpClientProperties;

    @Bean
    public OkHttpClient okHttpClient() {
        RetryInterceptor httpRetryInterceptor = new RetryInterceptor
                .Builder()
                .retryInterval(okHttpClientProperties.getRetryInterval())
                .retryTimes(okHttpClientProperties.getRetryTimes())
                .build();
        return new OkHttpClient
                .Builder()
                .addInterceptor(httpRetryInterceptor)
                .connectTimeout(okHttpClientProperties.getConnectTimeout(), TimeUnit.SECONDS)
                .readTimeout(okHttpClientProperties.getReadTimeout(), TimeUnit.SECONDS)
                .build();
    }

    @Bean
    public HttpClient HttpClient() {
        return new HttpClient(okHttpClient());
    }

}

